Package Details: pm2ml 2017.12-4

Git Clone URL: https://aur.archlinux.org/pm2ml.git (read-only, click to copy)
Package Base: pm2ml
Description: Generate metalinks for downloading Pacman packages and databases.
Upstream URL: https://xyne.archlinux.ca/projects/pm2ml
Keywords: pacman
Licenses: GPL
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 156
Popularity: 0.59
First Submitted: 2012-03-20 17:52
Last Updated: 2019-11-19 01:13

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Xyne commented on 2012-12-10 14:49

In case anyone missed it, Powerpill has been re-released:
https://aur.archlinux.org/packages.php?ID=65059

Xyne commented on 2012-11-28 22:56

@Whitie
It was a bug due to the still somewhat recent rearrangement of modules in the python3-aur package. It should be fixed now.

Whitie commented on 2012-11-27 17:49

When running pm2ml -y -u -a the following exception is raised:

Traceback (most recent call last):
File "/usr/lib/python3.3/site-packages/pm2ml.py", line 204, in search_aur
return AUR.insert_full_urls(search_aur.aur.info(names))
AttributeError: 'module' object has no attribute 'insert_full_urls'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/pm2ml", line 3, in <module>
main()
File "/usr/lib/python3.3/site-packages/pm2ml.py", line 694, in main
pargs, conf, download_queue, not_found, missing_deps = build_download_queue(args)
File "/usr/lib/python3.3/site-packages/pm2ml.py", line 564, in build_download_queue
aur_names=foreign_names
File "/usr/lib/python3.3/site-packages/pm2ml.py", line 247, in determine_upgradable
aur_pkgs = search_aur(aur_names | set(foreign.pkgs))
File "/usr/lib/python3.3/site-packages/pm2ml.py", line 205, in search_aur
except AUR.AURError as e:
AttributeError: 'module' object has no attribute 'AURError'

Is it a bug or do I need another Python package to run it (python3-aur is installed)?

Anonymous comment on 2012-10-24 13:53

it's now fine

Anonymous comment on 2012-10-24 07:53

some issue with the signature.... can't download the .sig for 2012.10.23

Xyne commented on 2012-10-08 18:13

Optionally, yes. Updating...

graysky commented on 2012-10-06 21:59

Shouldn't this depend on aria2?

A.J commented on 2012-05-08 21:37

ppls -a

i see , i thought its already support aur ,

thanks

Xyne commented on 2012-05-08 21:16

@step-2
I need more information that that. What command did you execute?

The ppl* wrapper scripts do not support AUR packages. You have to create your own wrapper scripts for pm2ml if you want to do that.

A.J commented on 2012-05-08 13:41

yes , it downloads fine

but it didnt install :

pacman: invalid option -- 'a'

thanks a lot Xyne